RichInTheUSA
Posts: 29
Joined: Fri Nov 04, 2016 1:27 am

Error installing python-mlt_6.4.1-4_amd64.deb

Mon Aug 13, 2018 1:27 am

Hello, I am trying to install python MLT on my mac laptop, which has an AMD64 processor.
I can successfully download the AMD64 file from here: https://packages.debian.org/stretch/amd ... t/download

However, after downloading and double clicking in the File Manager... I get the error message Failed to install file: A package could not be found that allows the action to complete. More information is available in the detailed report.


Anyone have an idea where the detailed report is located?

Thanks!!

bertlea
Posts: 169
Joined: Wed Dec 07, 2016 6:33 am
Location: Hong Kong

Re: Error installing python-mlt_6.4.1-4_amd64.deb

Mon Aug 13, 2018 7:30 am

If you are installing it to the "Raspberry Pi Desktop", I believe you need to install the i386 (32-bit) version, because, to my understanding, the Raspberry Pi Desktop for PC and Mac is only 32-bit OS regardless what CPU you got.

I was also confused by that initially as the website typically seems able to detect my system is 64 bit and provide the 64-bit packages, but then it failed and I need to download the 32-bit to make it work.

RichInTheUSA
Posts: 29
Joined: Fri Nov 04, 2016 1:27 am

Re: Error installing python-mlt_6.4.1-4_amd64.deb

Mon Aug 13, 2018 1:44 pm

Thank you for the response above! I installed MLT for the i386 and that install worked! However, when I then went to run OpenShot (which was failing because MLT was a dependency) it opened, but then the whole box hung after about 15 seconds. No error messages. The box just froze up.

I may just try Blender instead. I know it's not made for video editing... but I hear it can be used for that purpose. I'm really just looking for any video editing software that works... even something basic. :)

Thanks again!!!

fruitoftheloom
Posts: 17487
Joined: Tue Mar 25, 2014 12:40 pm

Re: Error installing python-mlt_6.4.1-4_amd64.deb

Mon Aug 13, 2018 2:59 pm

RichInTheUSA wrote:
Mon Aug 13, 2018 1:27 am
Hello, I am trying to install python MLT on my mac laptop, which has an AMD64 processor.
I can successfully download the AMD64 file from here: https://packages.debian.org/stretch/amd ... t/download

However, after downloading and double clicking in the File Manager... I get the error message Failed to install file: A package could not be found that allows the action to complete. More information is available in the detailed report.


Anyone have an idea where the detailed report is located?

Thanks!!

Debian Stretch with RPD is 32bit userland though it will choose the appropriate kernel for you architecture, there are several post in this section of the forum.


The correct way to install Debian packages and save a lot of hassle regarding wrong architecture and dependencies is:

Code: Select all

sudo apt update
sudo apt install python-mlt

https://packages.debian.org/stretch/python-mlt
Adieu

Return to “Raspberry Pi Desktop for PC and Mac”

Who is online

Users browsing this forum: No registered users and 1 guest